#jinja2: lstrip_blocks: "True"
{% for name, vars in hostvars.items() %}
Host {{ name }}
{% if vars.ip is defined %}
  Hostname {{ vars.ip }}
{% elif vars.fqdn is defined %}
  Hostname {{ vars.fqdn }}
{% else %}
  Hostname {{ vars.ansible_host }}
{% endif %}
  User {{ ansible_controller_user }}
  ForwardAgent yes
{% endfor %}